Preview Mode Links will not work in preview mode

Cybersecurity Weekly with Fred Cobb


Jun 8, 2020

In this episode, Fred and Garrett discuss the recent Mozilla Firefox Vulnerability Patches that were issued. These vulnerabilities have been found to allow cyber criminals to install programs, manipulate data, and create new accounts with full user rights under your account(s). Anyone currently using Mozilla Firefox versions prior to 77.0 should take immediate action.